# QShortcutEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QShortcutEvent(QKeySequence key, int id, bool ambiguous)

### Constructor Properties

- prototype: The QShortcutEvent prototype object

### Prototype Object Properties

The QShortcutEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- bool isAmbiguous()
- QKeySequence key()
- int shortcutId()

### Instance Properties

QShortcutEvent objects have no special properties beyond those inherited from the QShortcutEvent prototype object.